Bug 1695604 - rdopkg mockbuild breaks to due missing bunch import in py3
Summary: rdopkg mockbuild breaks to due missing bunch import in py3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rdopkg
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Ruzicka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-03 12:21 UTC by Michele Baldessari
Modified: 2019-04-30 02:27 UTC (History)
1 user (show)

Fixed In Version: rdopkg-0.51.1-1.el7 rdopkg-0.51.1-1.fc30 rdopkg-0.51.1-1.fc28 rdopkg-0.51.1-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 00:42:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Michele Baldessari 2019-04-03 12:21:54 UTC
Description of problem:
/usr/bin/rdopkg mockbuild

RH package detected.
Traceback (most recent call last):
  File "/usr/bin/rdopkg", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python3.7/site-packages/rdopkg/cli.py", line 46, in main
    sys.exit(rdopkg(*cargs))
  File "/usr/lib/python3.7/site-packages/rdopkg/cli.py", line 38, in rdopkg
    return shell.run(runner, cargs=cargs, version=__version__)
  File "/usr/lib/python3.7/site-packages/rdopkg/shell.py", line 87, in run
    action_runner.engage()
  File "/usr/lib/python3.7/site-packages/rdopkg/core.py", line 212, in engage
    new_args = self.action_manager.run_action(step, self.args)
  File "/usr/lib/python3.7/site-packages/rdopkg/action.py", line 212, in run_action
    action_fun = self._get_action_fun(action)
  File "/usr/lib/python3.7/site-packages/rdopkg/action.py", line 197, in _get_action_fun
    _fun = getattr(m.actionsmod, action.name, None)
  File "/usr/lib/python3.7/site-packages/rdopkg/action.py", line 67, in actionsmod
    topmod = __import__(astr, globals(), locals(), [])
  File "/usr/lib/python3.7/site-packages/rdopkg/actions/build/actions.py", line 9, in <module>
    from rdopkg.actionmods import cbsbuild
  File "/usr/lib/python3.7/site-packages/rdopkg/actionmods/cbsbuild.py", line 15, in <module>
    from bunch import bunchify
ModuleNotFoundError: No module named 'bunch'

Version-Release number of selected component (if applicable):
$ rdopkg --version  
0.49.0

Comment 1 Fedora Update System 2019-04-11 14:27:57 UTC
rdopkg-0.51.1-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b616d4ab31

Comment 2 Fedora Update System 2019-04-11 14:28:01 UTC
rdopkg-0.51.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b7ba5d3ed

Comment 3 Fedora Update System 2019-04-11 14:28:04 UTC
rdopkg-0.51.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8f9d930c7

Comment 4 Fedora Update System 2019-04-11 14:28:08 UTC
rdopkg-0.51.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-de7597b449

Comment 5 Fedora Update System 2019-04-13 01:16:12 UTC
rdopkg-0.51.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b7ba5d3ed

Comment 6 Fedora Update System 2019-04-13 01:59:43 UTC
rdopkg-0.51.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b616d4ab31

Comment 7 Fedora Update System 2019-04-13 03:22:09 UTC
rdopkg-0.51.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-de7597b449

Comment 8 Fedora Update System 2019-04-13 12:10:26 UTC
rdopkg-0.51.1-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e8f9d930c7

Comment 9 Fedora Update System 2019-04-30 00:42:01 UTC
rdopkg-0.51.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-30 01:29:25 UTC
rdopkg-0.51.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-04-30 01:40:15 UTC
rdopkg-0.51.1-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-30 02:27:24 UTC
rdopkg-0.51.1-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.